---
title: "Change Telegram privacy settings"
locale: en
url: https://tlg.builera.app/en/docs/reference/rest/accounts.set_privacy
verified: 2026-10-24
app_version: "2.0"
generated: true
---

# Change Telegram privacy settings

Set one privacy setting to everybody / contacts / nobody. People or groups added as exceptions on the phone are kept.

Set one privacy setting to everybody / contacts / nobody. People or groups added as exceptions on the phone are kept.

## Overview

| Name | Value |
| --- | --- |
| Code | `accounts.set_privacy` |
| Scope needed | `profile.write` |
| Risk | Write |
| May need confirmation | No |
| Runs as | Queues work for a node |
| Needs `Idempotency-Key` | Yes |
| Member roles allowed | `owner`, `manager` |
| Needs a worker from version | `1.0.16` |
| In the app | Accounts → Privacy |

## Input fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `accountId` | `uuid` | Yes |   |
| `key` | `"phone_number" \| "last_seen" \| "profile_photo" \| "bio" \| "forwards" \| "calls" \| "group_invites"` | Yes |   |
| `rule` | `"everybody" \| "contacts" \| "nobody"` | Yes |   |

## Example request

```bash
curl -X POST https://tlg.builera.app/api/public/v2/ops/accounts.set_privacy \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: <unique key per operation>" \
  -d '{"accountId":"00000000-0000-0000-0000-000000000000","key":"phone_number","rule":"everybody"}'
```

## Output fields (`data`)

| Field | Type | Required |
| --- | --- | --- |
| `ok` | `true` | Yes |
| `jobId` | `text` | Yes |

## Example answer

```json
{
  "data": {
    "ok": true,
    "jobId": "00000000-0000-4000-8000-000000000000"
  }
}
```

## Using it over MCP

Not listed on any profile: call `tools_describe` then `tools_run` with `code: "accounts.set_privacy"`. Tool name when listed: `accounts_set_privacy`.
